[arch-commits] Commit in eric-plugins/trunk (PKGBUILD)

Daniel Griffiths dgriffiths at archlinux.org
Tue Feb 9 20:46:37 UTC 2010


    Date: Tuesday, February 9, 2010 @ 15:46:37
  Author: dgriffiths
Revision: 67928

Move to splitpkg format

Modified:
  eric-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   52 +++++++++++++++++++++++++++++-----------------------
 1 file changed, 29 insertions(+), 23 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-09 20:27:37 UTC (rev 67927)
+++ PKGBUILD	2010-02-09 20:46:37 UTC (rev 67928)
@@ -1,14 +1,8 @@
-# $Id$
 # Contributor: Eric Belanger <eric at archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227 at archlinux.us>
 
 pkgname=eric-plugins
 pkgver=4.3.9
-_plugin1ver=4.1.4
-_plugin2ver=4.2.0
-_plugin4ver=1.1.5
-_plugin5ver=4.1.4
-_plugin6ver=4.1.12
-_plugin7ver=2.1.0
 pkgrel=1
 pkgdesc="Plugins for the eric Python IDE"
 arch=('any')
@@ -17,12 +11,12 @@
 depends=('eric')
 makedepends=('unzip')
 install=${pkgname}.install
-source=(http://downloads.sourceforge.net/eric-ide/Plugin_Checker_PyLint-${_plugin1ver}.tar.gz
-	http://downloads.sourceforge.net/eric-ide/Plugin_Packager_CxFreeze-${_plugin2ver}.tar.gz
-	http://downloads.sourceforge.net/eric-ide/Plugin_Refactoring_Rope-${_plugin4ver}.tar.gz
-	http://downloads.sourceforge.net/eric-ide/Plugin_Tools_CharTables-${_plugin5ver}.tar.gz
-	http://downloads.sourceforge.net/eric-ide/Plugin_Vcs_CVS-${_plugin6ver}.tar.gz
-	http://downloads.sourceforge.net/eric-ide/Plugin_Project_Django-${_plugin7ver}.tar.gz)
+source=(http://downloads.sourceforge.net/eric-ide/Plugin_Checker_PyLint-4.1.4.tar.gz
+	http://downloads.sourceforge.net/eric-ide/Plugin_Packager_CxFreeze-4.2.0.tar.gz
+	http://downloads.sourceforge.net/eric-ide/Plugin_Refactoring_Rope-1.1.5.tar.gz
+	http://downloads.sourceforge.net/eric-ide/Plugin_Tools_CharTables-4.1.4.tar.gz
+	http://downloads.sourceforge.net/eric-ide/Plugin_Vcs_CVS-4.1.12.tar.gz
+	http://downloads.sourceforge.net/eric-ide/Plugin_Project_Django-2.1.0.tar.gz)
 md5sums=('a7bf1ed86089c66354b7096864c87452'
          '7916422e0bb821e9ea2764f6385a56c4'
          '8c7bab8b84713c9a5cc20a43991554c3'
@@ -31,14 +25,26 @@
          '59d4e479d35c3a86867d1747ae023f8c')
 
 build() {
-  cd ${srcdir}
-  install -d  ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins
-  unzip -o Plugin_Checker_PyLint-${_plugin1ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  unzip -o Plugin_Packager_CxFreeze-${_plugin2ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  unzip -o Plugin_Refactoring_Rope-${_plugin4ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  unzip -o Plugin_Tools_CharTables-${_plugin5ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  unzip -o Plugin_Vcs_CVS-${_plugin6ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  unzip -o Plugin_Project_Django-${_plugin7ver}/*.zip -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
-  rm -r ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins/{VERSION,*/Documentation}
-  find ${pkgdir} -type d -exec chmod 755 {} \;
+	/bin/true
 }
+
+package() {
+	cd ${srcdir}
+
+	install -d  ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins
+	unzip -o Plugin_Checker_PyLint-4.1.4/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+	unzip -o Plugin_Packager_CxFreeze-4.2.0/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+	unzip -o Plugin_Refactoring_Rope-1.1.5/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+	unzip -o Plugin_Tools_CharTables-4.1.4/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+	unzip -o Plugin_Vcs_CVS-4.1.12/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+	unzip -o Plugin_Project_Django-2.1.0/*.zip \
+	   -d ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins || return 1
+
+	rm -r ${pkgdir}/usr/lib/python2.6/site-packages/eric4plugins/{VERSION,*/Documentation}
+	find ${pkgdir} -type d -exec chmod 755 {} \;
+}




More information about the arch-commits mailing list